package cn.com.countrygarden.bi.main.model.twerp.hm;


import javax.persistence.Column;
import javax.persistence.Transient;

public class TbSysUser {


    @Column(name = "UserCode")
    private String userCode;

    @Column(name = "UserName")
    private String userName;

    @Column(name = "LoginCode")
    private String loginCode;

    @Column(name = "PassWord")
    private String passWord;

    @Column(name = "CommID")
    private int commID;


    @Column(name = "Memo")
    private String memo;

    @Column(name = "OrganId")
    private String organId;

    @Column(name = "DepCode")
    private String depCode;

    @Column(name="DepName")
    private String depName;

    @Column(name="MobileTel")
    private String mobileTel;

    /**
     * 是否在角色中
     */
    @Transient
    private Boolean hasRole;

    public Boolean getHasRole() {
        return hasRole;
    }

    public void setHasRole(Boolean hasRole) {
        this.hasRole = hasRole;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getLoginCode() {
        return loginCode;
    }

    public void setLoginCode(String loginCode) {
        this.loginCode = loginCode;
    }

    public String getPassWord() {
        return passWord;
    }

    public void setPassWord(String passWord) {
        this.passWord = passWord;
    }

    public int getCommID() {
        return commID;
    }

    public void setCommID(int commID) {
        this.commID = commID;
    }

    public String getDepCode() {
        return depCode;
    }

    public void setDepCode(String depCode) {
        this.depCode = depCode;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getDepName() {
        return depName;
    }

    public void setDepName(String depName) {
        this.depName = depName;
    }

    public String getMobileTel() {
        return mobileTel;
    }

    public void setMobileTel(String mobileTel) {
        this.mobileTel = mobileTel;
    }
}
